package com.fr.plugin.jsd9683.conf;

import com.fr.stable.StringUtils;
import com.fr.stable.xml.XMLReadable;
import com.fr.stable.xml.XMLableReader;

public class Jsd9683ConfigXmlConfigReader implements XMLReadable {
    private static Jsd9683ConfigXmlConfigReader instance;

    public static Jsd9683ConfigXmlConfigReader getInstance(){
        if(instance == null){
            instance = new Jsd9683ConfigXmlConfigReader();
        }
        return instance;
    }

    public static  String CAS_LOGIN_URL = "";
    public static  String CAS_VALIDATE_URL = "";
    public static  String CAS_SERVER_NAME = "";
    public static String ROLE_VALIDATE_URL = "";
    public static String isAuthority = "true";

    public void readXML(XMLableReader reader) {
        if (reader.isChildNode()) {
            String nodeName = reader.getTagName();
            if ("casLoginUrl".equals(nodeName)) {
                CAS_LOGIN_URL = StringUtils.trim(reader.getElementValue());
            }
            if ("casValidateUrl".equals(nodeName)) {
                CAS_VALIDATE_URL = StringUtils.trim(reader.getElementValue());
            }
            if ("casClientServerName".equals(nodeName)) {
                CAS_SERVER_NAME = StringUtils.trim(reader.getElementValue());
            }
            if ("roleValidateUrl".equals(nodeName)) {
                ROLE_VALIDATE_URL = StringUtils.trim(reader.getElementValue());
            }
            if ("isAuthority".equals(nodeName)) {
                isAuthority = StringUtils.trim(reader.getElementValue());

            }

        }
    }
}
